#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "mydialog.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    thread=0;
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{

    if (!thread) {
        thread= new QThread;
        worker = new QueueWorker();
        worker->moveToThread(thread);
        connect(thread, SIGNAL(started()), worker, SLOT(startRunner()));
        thread->start();
    }

    MyDialog* dlg = new MyDialog(this);
    //connect(reader, SIGNAL(pathFound(QString)), this, SLOT(onPathFound(QString)));
    connect(worker, SIGNAL(finished()), thread, SLOT(quit()));
    connect(worker, SIGNAL(finished()), worker, SLOT(deleteLater()));
    connect(worker, SIGNAL(finished()), thread, SLOT(deleteLater()));
    connect(worker, SIGNAL(jobFinished(MyObj*,int)),
                   dlg, SLOT(onJobFinished(MyObj*, int)));
    connect(dlg, SIGNAL(stop()), worker, SLOT(onStopRequest()));

    dlg->show();
}
